let btn_sendURL;
let btn_sendURL_mp4;
let alertBox;

function startUp() {
    btn_sendURL = document.getElementById("sendURL");
    btn_sendURL_mp4 = document.getElementById("sendURL_mp4");
    alertBox = document.getElementById("alerts")

    btn_sendURL.addEventListener("click", sendURL);
    btn_sendURL_mp4.addEventListener("click", sendURL_mp4)
}

async function sendURL() {
    sendLink("mp3");
}
async function sendURL_mp4() {
    sendLink("mp4");
}

async function sendLink(type) {
    let tab = await chrome.tabs.query({ windowType: "normal", active: true });
    let url = tab[0].url;
    let u = (await chrome.storage.sync.get("settings_url")).settings_url;
    //alert(url);
    let resp = await fetch(`${u}/getSong`, {
        method: "POST",
        headers: {
            "content-type": "application/puppy+json",
            // 'Content-Type': 'application/x-www-form-urlencoded',
        },
        body: JSON.stringify({
            url: url,
            type: type
        })
    });
    let json_resp = await resp.json();
    alertBox.innerHTML = `<div class="alert">${json_resp.text}</div>`;
    btn_sendURL.disabled = true;
    btn_sendURL_mp4.disabled = true;

}


startUp();