let urlField;
let saveButton;
let testButton;

async function startUp(){
    urlField = document.getElementById("url");
    saveButton = document.getElementById("save");
    testButton = document.getElementById("testButton")
    
    saveButton.addEventListener("click",saveSettings)
    testButton.addEventListener("click",Test)

    urlField.value = (await chrome.storage.sync.get("settings_url")).settings_url;
}

function saveSettings(){
    let tmp_val = urlField.value;

    chrome.storage.sync.set({ "settings_url": tmp_val });
    alert(`Save - ${tmp_val}`);
}

function Test(){
    chrome.tabs.query({active: true, lastFocusedWindow: true}, tabs => {
        let url = tabs[0].url;
        alert(url);
        // use `url` here inside the callback because it's asynchronous!
    });
}

startUp();